package com.sky.ioc.service.carbon;

import com.sky.ioc.entity.params.IocParam;
import com.sky.ioc.tool.ReturnMsg;

/**
 * TODO 双碳
 * @Description
 * @Author LunCe
 * @Date 2023/2/22 11:40
 **/
public interface CarbonService {


    ReturnMsg getCarbonQuota();

    ReturnMsg  getPrintingCoreIndicators(IocParam iocParam);

    ReturnMsg  getPrintingCostTrend(IocParam iocParam);

    ReturnMsg  getConferenceRoomInfo(IocParam iocParam);

    ReturnMsg  getBusCoreIndicators(IocParam iocParam);

    ReturnMsg  getBusInfo(IocParam iocParam);

    ReturnMsg  getBusCostTrend(IocParam iocParam);

    ReturnMsg getFloorCoreIndicators(IocParam iocParam);

    ReturnMsg  getCarbonInfo(IocParam iocParam);

    ReturnMsg  getCarbonQuotaComposition(IocParam iocParam);

    ReturnMsg  getCarbonNews(IocParam iocParam);

    ReturnMsg  getCarbonProportion(IocParam iocParam);
    ReturnMsg getPhotovoltaicPower(IocParam iocParam);

    ReturnMsg getAnalyseCoreIndicators(IocParam iocParam);

    ReturnMsg getAnalyseWaterCoreIndicators(IocParam iocParam);

    ReturnMsg getAnalysePowerCoreIndicators(IocParam iocParam);

    ReturnMsg getAnalyseHotCoreIndicators(IocParam iocParam);

    ReturnMsg getAnalyseColdCoreIndicators(IocParam iocParam);

    ReturnMsg getAnalyseCpvCoreIndicators(IocParam iocParam);

    ReturnMsg getPhotovoltaicProfit();

    ReturnMsg getEnergyTrendsAnalyseWater(IocParam iocParam);

    ReturnMsg getEnergyTrendsAnalysePower(IocParam iocParam);

    ReturnMsg getEnergyTrendsAnalyseHot(IocParam iocParam);

    ReturnMsg getEnergyTrendsAnalyseCold(IocParam iocParam);

    ReturnMsg getEnergyTrendsAnalyseCpv(IocParam iocParam);

    ReturnMsg getEnergyTrendsTotal(IocParam iocParam);

    ReturnMsg getEnergyTrendsAnalyseCpvInfo(IocParam iocParam);

    ReturnMsg getEnergyAnalysisWater(IocParam iocParam);

    ReturnMsg getEnergyAnalysisTotal(IocParam iocParam);

    ReturnMsg getEnergyAnalysisPower(IocParam iocParam);

    ReturnMsg getEnergyAnalysisHot(IocParam iocParam);

    ReturnMsg getEnergyAnalysisClod(IocParam iocParam);

    ReturnMsg getEnergyAnalysisCpv(IocParam iocParam);

    ReturnMsg getEnergyAnalysisTotalInfo(IocParam iocParam);

    ReturnMsg getEnergyAnalysisWaterInfo(IocParam iocParam);

    ReturnMsg getEnergyAnalysisPowerInfo(IocParam iocParam);

    ReturnMsg getEnergyAnalysisHotInfo(IocParam iocParam);

    ReturnMsg getCarbonQuotaData();

    ReturnMsg getCarbonNoticeData();


}
